net.minecraft.world.gen.structure

## Class ComponentStrongholdRightTurn

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentStrongholdLeftTurn
    - - net.minecraft.world.gen.structure.ComponentStrongholdRightTurn

-     public class ComponentStrongholdRightTurn
      extends ComponentStrongholdLeftTurn

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentStrongholdRightTurn(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen

    - ### Methods inherited from class net.minecraft.world.gen.structure.ComponentStrongholdLeftTurn

      `findValidPlacement`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `findIntersecting, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentStrongholdRightTurn

          public ComponentStrongholdRightTurn(int par1,
                                      Random par2Random,
                                      StructureBoundingBox par3StructureBoundingBox,
                                      int par4)

  - ### Method Detail

    - #### buildComponent

          public void buildComponent(StructureComponent par1StructureComponent,
                            List par2List,
                            Random par3Random)

      Initiates construction of the Structure Component picked, at the current Location of StructGen
      Overrides:
        `buildComponent` in class `ComponentStrongholdLeftTurn`

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Overrides:
        `addComponentParts` in class `ComponentStrongholdLeftTurn`